API Reference
Storefront API (Public)
Pages

Pages

Visibility

  • GET /pagesPublic
  • GET /pages/{slug}Public

Authentication

x-api-key: sk_eco_...

GET /pages

Returns published store pages (policy, legal, about, contact, and custom pages).

Response Fields

FieldType
idstring
slugstring
titlestring
typestring?
is_publishedboolean?
seo_titlestring?
seo_descriptionstring?

GET /pages/{slug}

Returns one page including body/content payload.

Response Fields

FieldType
bodystring?
contentany?
updated_atstring?

cURL

curl -X GET "https://api.ecommaps.com/api/v1/storefront/pages" \
  -H "x-api-key: sk_eco_YOUR_KEY"
 
curl -X GET "https://api.ecommaps.com/api/v1/storefront/pages/refund" \
  -H "x-api-key: sk_eco_YOUR_KEY"

SDK Example

const pages = await ecommapsClient.store.pages.list();
const refund = await ecommapsClient.store.pages.retrieve("refund");

Error Matrix

StatusScenario
401Missing/invalid API key
404Page slug not found
500Datastore failure